Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Get Location GETList Locations GETCreate Location POST
OrganizationLocations

Get Location


Retrieve details for a single saved location identified by location_id.

GET
/api/rest/v2/locations/{location_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

location_id*number

Location ID

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/locations/0"
{
  "address1": "123 Main St",
  "address2": "Suite 100",
  "city": "Minneapolis",
  "state": "MN",
  "zip": 90210,
  "country": "USA",
  "id": 123,
  "name": "Sample Name",
  "company": {
    "id": 123,
    "name": "Sample Name"
  },
  "display_name": "string_value",
  "type": {
    "id": 123,
    "name": "Sample Name"
  },
  "contact": {
    "name": "Sample Name",
    "phone": "555-0199",
    "phone_ext": "string_value",
    "email": "user@fieldnation.com"
  },
  "group": {
    "id": 123,
    "name": "Sample Name"
  },
  "active": true,
  "location_notes": "string_value",
  "client": {
    "id": 123,
    "name": "Sample Name"
  },
  "geo": {
    "latitude": 44.9778,
    "longitude": -93.265
  },
  "time_zone": {
    "name": "Sample Name",
    "id": 123,
    "offset": 0
  },
  "notes": [],
  "actions": [],
  "workorders": {
    "actions": [],
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20,
      "columns": "string_value",
      "view": "string_value",
      "sort": "string_value",
      "order": "string_value",
      "list": "string_value"
    },
    "params": [],
    "lists": [],
    "tags": [],
    "custom_fields": [],
    "search_text": "string_value",
    "correlation_id": "string_value",
    "saved_filters": {
      "filter_id": "string_value",
      "template": "string_value",
      "user_id": "string_value",
      "filters": []
    },
    "results": []
  }
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Add multiple providers to project talent pool groups POST

Previous Page

List Locations GET

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/locations/0"